Bug 546663 - Cannot create legacy packages: --nodirtokens broken (yet again)
Summary: Cannot create legacy packages: --nodirtokens broken (yet again)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Panu Matilainen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-11 16:03 UTC by Pierre Ossman
Modified: 2010-06-28 15:33 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 15:33:43 UTC
Type: ---


Attachments (Terms of Use)

Description Pierre Ossman 2009-12-11 16:03:32 UTC
nodirtokens just refuses to stay fixed. I think this line from lib/rpmlead.c speaks for itself:

l->major = (_noDirTokens ? 4: 3);

Comment 1 Jeff Johnson 2009-12-17 07:43:06 UTC
What are you attempting with nodirtokens?

That code went obsolete years and years ago. The code
was used to bridge between rpm-3.0.4 -> rpm-3.0.5

Meanwhile a value of 4 in the lead existed for a short
period of time before being forced (by LSB) to _ALWAYS_
be 3 independent of _nodirtokens.

I.e. the code as written is just wrong.

Comment 2 Pierre Ossman 2009-12-17 09:26:07 UTC
Given that nodirtokens has been fixed a few times during rpm 4.x, I don't think the current maintainers share your view, Jeff.

As for expectations, I expect it to do what rpmbuild states it does:

  --nodirtokens                 generate package header(s) compatible with
                                (legacy) rpm[23] packaging

Which in practice seems to mean versions 3 in the header and careful handling of file lists.

Comment 3 Panu Matilainen 2009-12-17 09:54:16 UTC
Uff, what a wonderfully dumb thinko :)

Fixed in upstream now by just hardwiring the lead major to 3, conditionally using 4 does no good to anybody: the lead version is just irrelevant for anything but LSB "compliance" and LSB wants 3 in there.

Comment 4 Pierre Ossman 2009-12-17 10:16:17 UTC
Thanks, although it is a bit more than LSB compliance. Older versions of RPM seem to check the version number as I discovered this issue when trying to install an RPM on a thin client that uses an ancient version of RPM.

Comment 5 Jeff Johnson 2009-12-17 14:10:28 UTC
Re comment #2:

Given that I asked a question, and stated a historical fact,
I'm not sure how you can infer my view point. Have fun!

Comment 6 Bug Zapper 2010-04-28 11:34:02 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bug Zapper 2010-06-28 15:33:43 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.